FROM python:3.12-slim

WORKDIR /app

ENV PYTHONDONTWRITEBYTECODE=1 \
    PYTHONUNBUFFERED=1

COPY requirements.txt /app/requirements.txt
RUN pip install --no-cache-dir -r /app/requirements.txt

COPY owl_imports_combiner.py /app/owl_imports_combiner.py
COPY main.py /app/main.py

CMD ["python", "/app/main.py"]
